
Redmine - Patch #40043

Remove year ranges from all copyright headers

2024-01-11 07:44 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.8   

Description

Following #38141#note-2 it seems like the year range is no longer necessary. I propose to drop them.

Another article on the same topic: https://nexb.com/do-you-really-need-to-update-the-copyright-each-new-year/

Related issues:

Related to Redmine - Patch #40202: Add LICENSE.txt in the root directory New

Associated revisions

Revision 22746 - 2024-02-26 23:55 - Marius BĂLTEANU

Remove current year from source file copyright headers and update year in footer to 2024 (#40043).

Revision 22755 - 2024-02-27 21:34 - Marius BĂLTEANU

Merged r22746 from trunk to 5.1-stable (#40043).

Revision 22756 - 2024-02-27 21:47 - Marius BĂLTEANU

Merged r22746 from trunk to 5.0-stable (#40043).

History

#1 - 2024-01-11 07:45 - Marius BĂLTEANU

- Tracker changed from Defect to Patch

- Target version set to 5.0.8

#2 - 2024-01-11 07:45 - Marius BĂLTEANU

What do you think?

#3 - 2024-01-15 17:56 - Holger Just

Removing the years from the source file headers would be fine by me. Updating those doesn't add much value.

The only thing I'd possibly like to keep updating is the year at the bottom of the base layout.

#4 - 2024-01-21 13:23 - Massimo Rossello

On many sources one can find the year of creation with an open end, e.g. "Copyright 2024-", but it is true that it's quite unlikely that we shall debate

about ownership in 50 years

#5 - 2024-02-07 16:48 - Holger Just

- Related to Patch #40202: Add LICENSE.txt in the root directory added

#6 - 2024-02-27 21:46 - Marius BĂLTEANU

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

#7 - 2024-02-27 21:47 - Marius BĂLTEANU

Committed and merged the changes, thanks!
